package com.liquidnet.service.adam.service;

import com.liquidnet.service.adam.dto.vo.AdamDisposedBaseVo;
import com.liquidnet.service.adam.dto.vo.AdamDisposedUserVo;
import com.liquidnet.service.adam.dto.vo.AdamDisposedVo;
import com.liquidnet.service.base.PagedResult;

/**
 * <p>
 * 想去 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2021-05-18
 */
public interface IAdamDisposedService {

    void add(AdamDisposedBaseVo disposedBaseVo);

    boolean exists(String uid, String type, String contentId);

    void del(String uid, String type, String... contentId);

    boolean queryState(String uid, String type, String contentId);

    PagedResult<AdamDisposedVo> queryPage(String uid, String type, int pageNo, int pageSize);

    PagedResult<AdamDisposedUserVo> queryDisposedUsers(String type, String contentId, int pageNo, int pageSize);
}
